dns_txt_packet(3)

NAME
dns_txt_packet - extract TXT records from DNS answer packet

SYNTAX
#include <libowfat/dns.h>

int dns_txt_packet(stralloc* out,const char* buf,
                  unsigned int len);

DESCRIPTION
dns_txt_packet is a low-level component of dns_txt, designed to support asynchronous DNS lookups. It reads a DNS packet of length len from buf, extracts the TXT records from the answer section of the packet, puts the result into out, and returns 0 or -1 the same way as dns_txt.

SEE ALSO
dns_txt(3)